/**
 * Created by Administrator on 2019/3/1 0001.
 */
taxDocumentManageModule.factory('taxDocumentListService',
    ['$q', 'apiConfig', 'jqFetch', 'apiInterceptor',
        function ($q, apiConfig, jqFetch, apiInterceptor) {
            'use strict';
            return {
                fetchMainList: function (params) {
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/taxDoc/selectList', params);
                },
                addNewRecord: function (params) {
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/taxDoc/add', params);
                },
                editRecord: function (params) {
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/taxDoc/edit', params);
                },
                verifyDuplicate: function (params) {
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/taxDoc/queryWhetherData', params);
                },
                getFileInfoOptions: function (params) {
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/fileTypes/query4SelectionBox', params);
                },
                getCompanyNameOptions: function (params) {
                    return jqFetch.get(apiInterceptor.webApiHostUrl + '/org/getMyOrgList', params);
                },
                delFileRecordItems: function (params) {
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/taxDoc/batchDelete', params);
                },
                getDocumentsAttrAndType:function(params){
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/fileTypes/selectList', params);
                },
                getBinaryData: function (url) {
                    var defer = $q.defer();
                    var oReq = new XMLHttpRequest();
                    oReq.onload = function (e) {
                        var arraybuffer = oReq.response;
                        console.info("arraybuffer:", arraybuffer);
                        defer.resolve(arraybuffer);
                    };
                    // oReq.open("GET", 'http://47.94.233.173:11007/static/erp_tax_system/3221D133-85B8-4E22-AE9B-DBEBD942D217?expire=1552361736&signiture=_Wz1_8Z6T8h5qnZAGpoRa8kNZeqmE7KoztKeehzYK4U=', true);
                    oReq.open("GET", url, true);
                    oReq.responseType = "arraybuffer";
                    oReq.send();

                    // return jqFetch.get(url,{},'arraybuffer');
                    return defer.promise;
                }


            };
        }]);